/*
 * THIS PROGRAM IS GENERATED UNDER LICENSE FROM NEC CORPORATION.
 */
/*global systemcommon, log, $, memberinfo */

/**
 * @fileoverview 会員情報登録画面(InsertMemberInfo)の業務処理を定義するファイル。
 */

/**
 * @summary 会員情報登録画面(InsertMemberInfo)の業務処理定義クラス。
 * @memberof memberinfo
 * @class 会員情報登録画面(InsertMemberInfo)の業務処理を定義するクラス。
 * @constructor
 */
memberinfo.InsertMemberInfoViewModel = function () {
	"use strict";
};

/**
 * @summary 会員情報登録画面(InsertMemberInfo) 画面初期表示時、画面項目クリア処理
 * @memberof memberinfo.InsertMemberInfoViewModel#
 * @function
 * @param {Object} event イベントオブジェクト
 * @param {Object} data データオブジェクト
 */
memberinfo.InsertMemberInfoViewModel.prototype.ev_pagecontainerbeforeshow = function (event, data) {
	"use strict";
    // 会員情報登録画面初期表示時に、会員番号、会員名、住所、Emailの入力欄を初期化する。
    $("#InsertMemberInfo_MEMBER_NO").val("");
    $("#InsertMemberInfo_MEMBER_NAME").val("");
    $("#InsertMemberInfo_MEMBER_ADDRESS").val("");
    $("#InsertMemberInfo_MEMBER_EMAIL").val("");
};

/**
 * @summary 会員情報登録画面(InsertMemberInfo) 確認画面を表示する
 * @memberof memberinfo.InsertMemberInfoViewModel#
 * @function
 * @param {Object} event イベントオブジェクト
 */
memberinfo.InsertMemberInfoViewModel.prototype.ev_tapNext = function (event) {
	"use strict";

    //会員番号チェック
    if (memberinfo.InsertMemberInfoViewHelper.checkMemberNo()) {
        //登録しない
        return;
    }

    //確認画面に遷移する
	$("body").pagecontainer("change", "#InsertConf", { transition: "slide" });
};
